reset
# this should work but need to add fontpath -- could be system-specific
#set fontpath "/sw/share/texmf-dist/fonts/type1!" \
#             "/usr/share/texmf/fonts/type1!" \
#             "/usr/share/texmf-dist/fonts/type1!" \
#             "/usr/local/teTeX/share/texmf-dist/fonts/type1!" \
#             "/usr/share/texmf-texlive/fonts/type1!" \
#             "/opt/local/share/texmf-texlive/fonts/type1!" \
#			 "/Program Files/MiKTeX 2.9/fonts!" \
#             "/usr/local/texlive/2008/texmf-dist/fonts/type1!" \
#             "/usr/local/texlive/2010/texmf-dist/fonts/type1!"
##set term postscript eps enhanced color "NimbusSanL-Regu" 22
###   fontfile "utmri8a.pfb" \
###   fontfile "uhvro8a.pfb" \
###   fontfile "uhvr8a.pfb" \
###	fontfile "usyr.pfb"
# original size is 5 x 3 in
#set term pdf transparent enhanced color font "NimbusSanL-Regu,16" size 6,4
set term epslatex standalone color size 6,4
# clemson purple:  R:51  G:00  B:102  #330066
# clemson orange:  R:255 G:99  B:00   #FF6300
# clemson   blue:  R:03  G:76  B:132  #034c84
#

rad(x) = ((x/180.0)*pi)
rnd(x) = floor(x+0.5)
isint(x)=(int(x)==x)
poisson(k,mu) = (mu**int(k))/int(k)! * exp(-mu)
invsqrt2pi = 0.398942280401433
normal(x,mu,sigma)=sigma<=0?1/0:invsqrt2pi/sigma*exp(-0.5*((x-mu)/sigma)**2)
#poisson(x,mu)=mu<=0?1/0:!isint(x)?1/0:x<0?0.0:exp(x*log(mu)-lgamma(x+1)-mu)

# from VV87, Skewness of saccadic velocity profiles
# peak velocity
alpha = 120
# duration (roughly)
beta = 50
# skewness (between 2 and 15; smaller values are more asymmetrical)
gamma = 12
#profile(x,alpha,beta,gamma) = alpha*(x/beta)**(gamma-1)*exp(-x/beta)
profile(x,alpha,beta,gamma) = x>0?alpha*(x/beta)**(gamma-1)*exp(-x/beta):0
log2(x) = log10(x)/log10(2.0)

x_0 = 0 # x at function's midpoint
L = 2   # the supremum of the values of the function range between asymptotes [-1:1]
b = 1
k = .125   # the logistic growth rate or steepness of the curve (bounds x values, e.g.,
        # if k=2, the clamping allos K to range [-2:2]
logis(x) = L/(1 + b*exp(-k * (x - x_0))) - 1

reset
set title "Logistic Model of the $\\mathcal{K}$ Coefficient"
set xlabel "$\\mathcal{K}$ ($z$-scores)"
set ylabel "Logistic Fit"
set key Left reverse inside vertical right bottom samplen 2.6
#set xrange [-3:3]
#set xrange [-9:9]
set xrange [-50:50]
#set xtics -120,20,100
set yrange [-1:1]
set style fill solid 0.4
set style textbox opaque noborder
#set output 'K-logistic.pdf'
set output 'K-logistic.tex'
plot \
     logis(x) with lines \
       title "$L/(1 + e^{(-k (x - x_0))}) - 1$" \
       ls 1 dashtype 1 lw 4 lc rgb "#3f3f3f"

x_0 = 0 # x at function's midpoint
L = 2   # the supremum of the values of the function range between asymptotes [-1:1]
k = .125 # doesn't seem to have any effect
squash(x) = L/(1 + exp(-k * (x - x_0))) - 1

reset
set title "Logistic Model of the K Coefficient"
set xlabel "K (z-scores)"
set ylabel "Logistic Fit"
set key vertical left samplen 2.6
set xrange [-3:3]
#set xtics -120,20,100
set yrange [-1:1]
set style fill solid 0.4
set style textbox opaque noborder
#set output 'squash.pdf'
set output 'squash.tex'
plot \
     logis(x) with lines \
       title "$L/(1 + exp(-k (x - x_0))) - 1$" \
       ls 1 dashtype 1 lw 4 lc rgb "#3f3f3f"
